Support » Plugin: WooCommerce Multilingual - run WooCommerce with WPML » Incompatibility with PHP 7.4

  • PHP 7.4 failed because of your plugin. See below

    Une erreur de type E_ERROR a été causée dans la ligne 38 du fichier /home/customer/www/gevcen.be/public_html/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-resources.php. Message d’erreur : Uncaught Error: Call to a member function get_setting() on null in /home/customer/www/gevcen.be/public_html/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-resources.php:38
    Stack trace:
    #0 /home/customer/www/gevcen.be/public_html/wp-content/plugins/woocommerce-multilingual/classes/class-woocommerce-wpml.php(268): WCML_Resources::set_up_resources(Object(woocommerce_wpml), Object(SitePress))
    #1 /home/customer/www/gevcen.be/public_html/wp-includes/class-wp-hook.php(288): woocommerce_wpml->init(”)
    #2 /home/customer/www/gevcen.be/public_html/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(NULL, Array)
    #3 /home/customer/www/gevcen.be/public_html/wp-includes/plugin.php(478): WP_Hook->do_action(Array)
    #4 /home/customer/www/gevcen.be/public_html/wp-settings.php(523): do_action(‘init’)
    #5 /home/customer/www/gevcen.be/public_html/wp-config.php(97): require_once(‘/home/customer/…’)
    #6 /home/customer/www/gevcen.be/public_html/wp-load.php(37): require_once(‘/home/customer/…’)
    #7 /home/customer/ww

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author sergey.r

    (@sergeyr-1)

    Hello Gevcen,
    sorry for late reply.

    We’re fixing PHP 7.4 problems and will release and update soon for all WPML components.

    Thanks for reporting this!

    119prod

    (@119prod)

    Hello,
    same issue for me…

    Plugin Author sergey.r

    (@sergeyr-1)

    Hello,
    please update to 4.7.6 version where all compatibility problems with PHP 7.4 was resolved

    Thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.